Bug 316201 - Rpm-Build Check-files failes
Rpm-Build Check-files failes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-02 17:11 EDT by Jonathan Steffan
Modified: 2008-03-10 16:24 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.4.2.2-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 03:14:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Steffan 2007-10-02 17:11:52 EDT
Description of problem:
When building an rpm with an empty %files check-files fails when using the f7
mock profile.

Version-Release number of selected component (if applicable):
rpm-build-4.4.2.1-1


How reproducible:
Always

Steps to Reproduce:
1. Create an rpm with empty %files section
2. Build with mock (f7 profile)
3. Read the build log.
  
Actual results:
Checking for unpackaged file(s): /usr/lib/rpm/check-files
/var/tmp/package-name-version-1.fc7-root-
/usr/lib/rpm/check-files: line 25: diff: command not found


Expected results:
I'm told what files need to be included in %files

Additional info:
I've also tried rpm-build-4.4.2-46
Comment 1 Panu Matilainen 2007-10-03 01:33:49 EDT
Apparently the default minimal build root setup has changed once again, sigh. F8
rpm-build explicitly lists the dependency but not so for current F7 and FC6
packages.
Comment 2 Jeff Johnson 2007-10-07 19:47:03 EDT
This issue has been addressed at rpm5.org by automatically extracting dependencies from
both scriptlets and #!/bin/sh scripts and mapping all used executables into
a separate name space.

All used implicit dependsnecies are attempted. The current implementation is easier to
fix than abandon.
Comment 3 Fedora Update System 2007-10-12 16:02:31 EDT
rpm-4.4.2.2-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpm'
Comment 4 Fedora Update System 2007-10-24 03:13:51 EDT
rpm-4.4.2.2-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Arnaud Gomes-do-Vale 2008-03-10 16:24:32 EDT
Same problem here with rpm-build-4.4.2-47.el5, both on CentOS and Scientific
Linux (I don't have a real RHEL5 box for testing): the packages does not require
diff or diffutils.

Note You need to log in before you can comment on or make changes to this bug.